core.node.subsystems / MonitoringService

# MonitoringService

`class MonitoringService`

Provides access to various metrics and ways to notify monitoring services of things, for sysadmin purposes. This is not an interface because it is too lightweight to bother mocking out.

### Constructors

<init> | `MonitoringService(metrics: <ERROR CLASS>)` Provides access to various metrics and ways to notify monitoring services of things, for sysadmin purposes. This is not an interface because it is too lightweight to bother mocking out.

### Properties

metrics | `val metrics: <ERROR CLASS>`